curl https://api.bottari.ai/v1/pages \
-X POST \
-H "Authorization: Bearer $BOTTARI_TOKEN" \
-H "Bottari-Version: 2026-03-11" \
-H "Content-Type: application/json" \
-d '{
"parent": {
"data_source_id": "exampleDb001"
},
"properties": {
"이름": {
"title": [
{
"text": {
"content": "새 주문"
}
}
]
},
"담당 팀": {
"select": {
"name": "운영"
}
},
"수량": {
"number": 3
}
}
}'
{
"object": "page",
"id": "exampleRow01",
"created_time": "2026-01-15T02:30:00.000Z",
"last_edited_time": "2026-01-15T02:30:00.000Z",
"created_by": {
"object": "user",
"id": "22222222-2222-4222-8222-222222222222"
},
"last_edited_by": {
"object": "user",
"id": "22222222-2222-4222-8222-222222222222"
},
"in_trash": false,
"cover": null,
"icon": null,
"parent": {
"type": "data_source_id",
"data_source_id": "exampleDb001",
"database_id": "exampleDb001"
},
"is_archived": false,
"is_locked": false,
"properties": {
"이름": {
"id": "title",
"type": "title",
"title": [
{
"type": "text",
"text": {
"content": "새 주문",
"link": null
},
"annotations": {
"bold": false,
"italic": false,
"strikethrough": false,
"underline": false,
"code": false,
"color": "default"
},
"plain_text": "새 주문",
"href": null
}
]
},
"담당 팀": {
"id": "exampleFld01",
"type": "select",
"select": {
"id": "exampleOpt01",
"name": "운영",
"color": "default"
}
},
"수량": {
"id": "exampleFld02",
"type": "number",
"number": 3
}
},
"url": "https://app.bottari.ai/t/exampleTeam1/p/exampleRow01",
"public_url": null,
"request_id": "33333333-3333-4333-8333-333333333333"
}
{
"object": "error",
"status": 403,
"code": "restricted_resource",
"message": "Insufficient permissions for this endpoint.",
"request_id": "33333333-3333-4333-8333-333333333333"
}
{
"object": "error",
"status": 404,
"code": "object_not_found",
"message": "Could not find data_source with ID: exampleDb001. Make sure the relevant pages and databases are shared with your integration \"주문 동기화\".",
"request_id": "33333333-3333-4333-8333-333333333333"
}
페이지
행 만들기
연결한 데이터베이스에 새 행을 만듭니다. 내용 추가 권한이 필요합니다.
POST
/
v1
/
pages
curl https://api.bottari.ai/v1/pages \
-X POST \
-H "Authorization: Bearer $BOTTARI_TOKEN" \
-H "Bottari-Version: 2026-03-11" \
-H "Content-Type: application/json" \
-d '{
"parent": {
"data_source_id": "exampleDb001"
},
"properties": {
"이름": {
"title": [
{
"text": {
"content": "새 주문"
}
}
]
},
"담당 팀": {
"select": {
"name": "운영"
}
},
"수량": {
"number": 3
}
}
}'
{
"object": "page",
"id": "exampleRow01",
"created_time": "2026-01-15T02:30:00.000Z",
"last_edited_time": "2026-01-15T02:30:00.000Z",
"created_by": {
"object": "user",
"id": "22222222-2222-4222-8222-222222222222"
},
"last_edited_by": {
"object": "user",
"id": "22222222-2222-4222-8222-222222222222"
},
"in_trash": false,
"cover": null,
"icon": null,
"parent": {
"type": "data_source_id",
"data_source_id": "exampleDb001",
"database_id": "exampleDb001"
},
"is_archived": false,
"is_locked": false,
"properties": {
"이름": {
"id": "title",
"type": "title",
"title": [
{
"type": "text",
"text": {
"content": "새 주문",
"link": null
},
"annotations": {
"bold": false,
"italic": false,
"strikethrough": false,
"underline": false,
"code": false,
"color": "default"
},
"plain_text": "새 주문",
"href": null
}
]
},
"담당 팀": {
"id": "exampleFld01",
"type": "select",
"select": {
"id": "exampleOpt01",
"name": "운영",
"color": "default"
}
},
"수량": {
"id": "exampleFld02",
"type": "number",
"number": 3
}
},
"url": "https://app.bottari.ai/t/exampleTeam1/p/exampleRow01",
"public_url": null,
"request_id": "33333333-3333-4333-8333-333333333333"
}
{
"object": "error",
"status": 403,
"code": "restricted_resource",
"message": "Insufficient permissions for this endpoint.",
"request_id": "33333333-3333-4333-8333-333333333333"
}
{
"object": "error",
"status": 404,
"code": "object_not_found",
"message": "Could not find data_source with ID: exampleDb001. Make sure the relevant pages and databases are shared with your integration \"주문 동기화\".",
"request_id": "33333333-3333-4333-8333-333333333333"
}
연결한 데이터베이스에 행을 만듭니다.
공통 오류는 공통 규칙에서 확인할 수 있습니다.
내용 추가 권한이 필요합니다. 만든 사람과 최종 편집자는 연동 봇입니다.
본문은 쓸 수 없습니다. 행 아래의 하위 문서도 만들 수 없습니다.
string
필수
Bearer <토큰> 형식입니다. 토큰 자세히 알아보기 →string
선택 항목입니다.
2026-03-11만 받습니다. 빼면 현재 버전을 사용하고, 다른 값을 보내면 400을 반환합니다.object
필수
{ "data_source_id": "..." } 또는 { "database_id": "..." }입니다. 두 값은 같은 ID입니다. page_id와 workspace는 400입니다.object
속성 이름이나 ID를 키로 한 값입니다. 제목을 빼면 빈 제목이고,
status를 빼면 기본 선택지입니다. 속성 값 자세히 알아보기 →object | null
emoji · custom_emoji(이 팀의 이모지) · icon(이름과 색)을 받습니다. 아이콘 이름은 검사하지 않습니다. external은 400입니다.object | null
external(http(s) 주소)을 받습니다.object
{ "mode": "default" } 또는 { "mode": "silent" }입니다. 형식만 확인하고 동작에는 영향이 없습니다.boolean
받기만 하고 사용하지 않습니다. 새 행은 항상 휴지통 밖에 있습니다.
받지 않는 키
| 키 | 동작 |
|---|---|
children · content | 빈 배열은 받습니다. 내용이 있으면 400 <키> is not supported by this server.입니다. |
markdown · markdown_version · allow_async | 400 ... is not supported by this server.입니다. |
template | { "type": "none" }은 받습니다. 다른 값은 400입니다. |
position | 400입니다. 부모가 데이터베이스인 쓰기에는 사용할 수 없습니다. |
archived · 모르는 키 | 400 body failed validation: body.<키> should be not present ...입니다. |
응답
만든 행의page 객체입니다. 만든 행은 바로 쿼리에 나옵니다.
오류
| 상태 | code | 원인 |
|---|---|---|
| 400 | validation_error | parent가 없거나 값이 틀렸습니다. 휴지통에 있는 데이터베이스도 400 Can't edit block that is archived...입니다. |
| 403 | restricted_resource | 내용 추가가 꺼져 있거나, 작업 에이전트가 붙은 데이터베이스이거나, 팀의 블록 한도에 닿았습니다. |
| 404 | object_not_found | 연결하지 않은 데이터베이스입니다. 사람 · 관계 값의 ID를 찾지 못해도 404입니다. |
curl https://api.bottari.ai/v1/pages \
-X POST \
-H "Authorization: Bearer $BOTTARI_TOKEN" \
-H "Bottari-Version: 2026-03-11" \
-H "Content-Type: application/json" \
-d '{
"parent": {
"data_source_id": "exampleDb001"
},
"properties": {
"이름": {
"title": [
{
"text": {
"content": "새 주문"
}
}
]
},
"담당 팀": {
"select": {
"name": "운영"
}
},
"수량": {
"number": 3
}
}
}'
{
"object": "page",
"id": "exampleRow01",
"created_time": "2026-01-15T02:30:00.000Z",
"last_edited_time": "2026-01-15T02:30:00.000Z",
"created_by": {
"object": "user",
"id": "22222222-2222-4222-8222-222222222222"
},
"last_edited_by": {
"object": "user",
"id": "22222222-2222-4222-8222-222222222222"
},
"in_trash": false,
"cover": null,
"icon": null,
"parent": {
"type": "data_source_id",
"data_source_id": "exampleDb001",
"database_id": "exampleDb001"
},
"is_archived": false,
"is_locked": false,
"properties": {
"이름": {
"id": "title",
"type": "title",
"title": [
{
"type": "text",
"text": {
"content": "새 주문",
"link": null
},
"annotations": {
"bold": false,
"italic": false,
"strikethrough": false,
"underline": false,
"code": false,
"color": "default"
},
"plain_text": "새 주문",
"href": null
}
]
},
"담당 팀": {
"id": "exampleFld01",
"type": "select",
"select": {
"id": "exampleOpt01",
"name": "운영",
"color": "default"
}
},
"수량": {
"id": "exampleFld02",
"type": "number",
"number": 3
}
},
"url": "https://app.bottari.ai/t/exampleTeam1/p/exampleRow01",
"public_url": null,
"request_id": "33333333-3333-4333-8333-333333333333"
}
{
"object": "error",
"status": 403,
"code": "restricted_resource",
"message": "Insufficient permissions for this endpoint.",
"request_id": "33333333-3333-4333-8333-333333333333"
}
{
"object": "error",
"status": 404,
"code": "object_not_found",
"message": "Could not find data_source with ID: exampleDb001. Make sure the relevant pages and databases are shared with your integration \"주문 동기화\".",
"request_id": "33333333-3333-4333-8333-333333333333"
}